# Uses of Enum Class
com.google.protobuf.DescriptorProtos.FieldDescriptorProto.Type

Packages that use DescriptorProtos.FieldDescriptorProto.Type
Package
Description
com.google.protobuf

## Uses of DescriptorProtos.FieldDescriptorProto.Type in com.google.protobuf

Methods in com.google.protobuf that return DescriptorProtos.FieldDescriptorProto.Type
Modifier and Type
Method
Description
`static DescriptorProtos.FieldDescriptorProto.Type`
DescriptorProtos.FieldDescriptorProto.Type.`forNumber(int value)`
`DescriptorProtos.FieldDescriptorProto.Type`
DescriptorProtos.FieldDescriptorProto.Builder.`getType()`
`optional .google.protobuf.FieldDescriptorProto.Type type = 5 [json_name = "type"];`
`DescriptorProtos.FieldDescriptorProto.Type`
DescriptorProtos.FieldDescriptorProto.`getType()`
`optional .google.protobuf.FieldDescriptorProto.Type type = 5 [json_name = "type"];`
`DescriptorProtos.FieldDescriptorProto.Type`
DescriptorProtos.FieldDescriptorProtoOrBuilder.`getType()`
`optional .google.protobuf.FieldDescriptorProto.Type type = 5 [json_name = "type"];`
`DescriptorProtos.FieldDescriptorProto.Type`
Descriptors.FieldDescriptor.Type.`toProto()`
`static DescriptorProtos.FieldDescriptorProto.Type`
DescriptorProtos.FieldDescriptorProto.Type.`valueOf(int value)`
Deprecated.
`static DescriptorProtos.FieldDescriptorProto.Type`
DescriptorProtos.FieldDescriptorProto.Type.`valueOf(Descriptors.EnumValueDescriptor desc)`
Returns the enum constant of this class with the specified name.
`static DescriptorProtos.FieldDescriptorProto.Type`
DescriptorProtos.FieldDescriptorProto.Type.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DescriptorProtos.FieldDescriptorProto.Type[]`
DescriptorProtos.FieldDescriptorProto.Type.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.google.protobuf that return types with arguments of type DescriptorProtos.FieldDescriptorProto.Type
Modifier and Type
Method
Description
`static Internal.EnumLiteMap<DescriptorProtos.FieldDescriptorProto.Type>`
DescriptorProtos.FieldDescriptorProto.Type.`internalGetValueMap()`
Methods in com.google.protobuf with parameters of type DescriptorProtos.FieldDescriptorProto.Type
Modifier and Type
Method
Description
`DescriptorProtos.FieldDescriptorProto.Builder`
DescriptorProtos.FieldDescriptorProto.Builder.`setType(DescriptorProtos.FieldDescriptorProto.Type value)`
`optional .google.protobuf.FieldDescriptorProto.Type type = 5 [json_name = "type"];`
`static Descriptors.FieldDescriptor.Type`
Descriptors.FieldDescriptor.Type.`valueOf(DescriptorProtos.FieldDescriptorProto.Type type)`
Returns the enum constant of this class with the specified name.